<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}

{% block links %}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static '/css/onboarding.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
</script>
<link
     rel="stylesheet"
     href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.css"
   />
   <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
{% endblock %}


{% block body %}

<body class="d-flex flex-column min-vh-100">
    <main class="home-body flex-fill">
        <a class="setting-btn-purple" href="{% url 'settings_profile' %}"><span class="material-icons">&#xe5cb;</span> Back</a><br><br>
        <h2>Settings</h2>
        <h3>Edit profile</h3>
        <br>
        <div class="card-block px-2" style="font-size: 20px;">
            <form method="post" action="{% url 'settings_profile_edit' %}">
                {% csrf_token %}
                {{ detail1_form.as_p }}
                {{ detail2_form.as_p }}
            <br>
            <div class="text-center">
                <button class="btn button-primary" type="submit" >Update Information</button>
            </div>
            <script>
                console.log("JaVA");
                const phoneInputField = document.querySelector("#id_phone_number");
                const phoneInput = window.intlTelInput(phoneInputField, {
                  utilsScript:
                    "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/utils.js",
                });
        
                function process(event) {
                  event.preventDefault();
        
                  const phoneNumber = phoneInput.getNumber();
        
                  document.getElementById("id_phone_number").value = phoneNumber;
                  }
                $(".btn").click(function(e) {
        
                  const phoneNumber = phoneInput.getNumber();
        
                  document.getElementById("id_phone_number").value = phoneNumber;
                  });

              </script>
            </form>
        </div>
    </main>
</body>


{% endblock %}